"""
    Fink SQL Rest API

    Flink SQL Rest API  # noqa: E501

    The version of the OpenAPI document: v1
    Generated by: https://openapi-generator.tech
"""


from setuptools import setup, find_packages  # noqa: H301

NAME = "flink-sql-gateway-client"
VERSION = "1.0.3"
# To install the library, run the following
#
# python setup.py install
#
# prerequisite: setuptools
# http://pypi.python.org/pypi/setuptools

REQUIRES = ["urllib3 >= 1.25.3", "python-dateutil", "IPython", "pandas"]

setup(
    name=NAME,
    version=VERSION,
    description="Flink SQL Rest API",
    author="Belvedere Trading",
    author_email="big_data_team@belvederellc.onmicrosoft.com",
    url="https://gitlab.com/belvederetrading/public/flink_sql_python_client",
    keywords=["BelvedereTrading", "OpenAPI-Generator", "Flink SQL Rest API"],
    python_requires=">=3.6",
    install_requires=REQUIRES,
    packages=find_packages(exclude=["test", "tests"]),
    include_package_data=True,
    classifiers=["License :: OSI Approved :: MIT License", "Operating System :: OS Independent", "Programming Language :: Python :: 3"],
    long_description="""\
    Flink SQL Rest API Client. For more information, reference the documentation at https://gitlab.com/belvederetrading/public/flink_sql_python_client  # noqa: E501
    """,
)
